<?php
/**
 * The report view file of contract module of ZDOO.
 *
 * @copyright   Copyright 2009-2020 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     contract
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='panel panel-block'>
  <div class='panel-heading'>
    <div class='input-group w-900px'>
      <div class='input-group-addon'><?php echo $lang->contract->report->type;?></div>
      <?php echo html::select('type', $lang->contract->report->typeList, $type, "class='form-control chosen'");?>
      <div class='input-group-addon'><?php echo $lang->contract->report->currency;?></div>
      <?php echo html::select('currency', $currencies, $currency, "class='form-control chosen'");?>
      <div class='input-group-addon'><?php echo $lang->contract->report->year;?></div>
      <?php echo html::select('year', $years, $year, "class='form-control chosen'");?>
      <div class='input-group-addon'><?php echo $lang->contract->report->dept;?></div>
      <?php echo html::select('dept', $depts, $dept, "class='form-control chosen'");?>
      <?php echo html::hidden('startDept', $startDept);?>
      <div class='input-group-btn'><?php echo html::a(inlink('report', "type=$type&currency=$currency&year=$year&dept=$dept&startDept=$startDept"), $lang->search->common, "class='btn btn-primary btn-search'");?></div>
      <script>$('.chosen').chosen();</script> <!- Init the chosen here to avoid the page flicker. ->
    </div>
  </div>
  <div class='panel-body'>
    <table class='table table-bordered table-hover table-striped' id='reportTable'>
      <thead>
        <tr class='text-center'>
          <th><?php echo $lang->contract->report->dept;?></th>
          <th><?php echo $lang->contract->report->user;?></th>
          <th><?php echo $lang->contract->report->item;?></th>
          <?php foreach($lang->datepicker->monthNames as $name):?>
          <th><?php echo $name;?></th>
          <?php endforeach;?>
          <th><?php echo $lang->contract->report->year;?></th>
        </tr>
      </thead>
      <tbody>
        <?php
        foreach($reportData as $dept => $deptUsers)
        {
            $rowspan  = '_' . $dept;
            $$rowspan = 0;
            foreach($deptUsers as $user => $userData)
            {
                foreach($userData as $type => $monthData) $$rowspan++;
            }
        }
        
        foreach($reportData as $dept => $deptUsers)
        {
            $rowspan   = '_' . $dept;
            $userIndex = 1;
            foreach($deptUsers as $user => $userData)
            {
                $typeIndex = 1;
                foreach($userData as $type => $monthData)
                {
                    echo "<tr class='text-center text-middle'>";
        
                    if($dept == $lang->total)
                    {
                        if($typeIndex == 1) echo "<th rowspan='3' colspan='2'>{$dept}</th>";
                    }
                    else
                    {
                        if($userIndex == 1) echo "<th rowspan='{$$rowspan}'>{$dept}</th>";
                        if($typeIndex == 1) echo "<th rowspan='3'>{$user}</th>";
                    }
        
                    echo "<th>{$type}</th>";
                    foreach($monthData as $value) echo '<td>'. ($value ? $value . ($type == $lang->contract->report->subscribeRate ? '%' : '') : '') . '</td>';
                    echo "</tr>";

                    $userIndex++;
                    $typeIndex++;
                }
            }
        }
        ?>
      </tbody>
    </table>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
